Package twisted :: Package tap :: Module news :: Class Options

[frames | no frames]

## Class Options

    dict --+
           |
     Options --+
               |
              Options

Method Summary
| `__init__(self)`
| ``opt_group`(self, group)` The name of a newsgroup to carry.
| ``opt_moderator`(self, moderator)` The email of the moderator for the most recently passed group.
| ``opt_server`(self, server)` The address of a Usenet server to pass messages to and receive messages from.
| ``opt_subscription`(self, group)` A newsgroup to list as a recommended subscription.
Inherited from Options
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``opt_version`(self)`
| ``parseArgs`(self)` I am called with any leftover arguments which were not options.
| ``parseOptions`(self, options)` The guts of the command-line parser.
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`NoneType` | `groups` = None
`list` | `optParameters` = `[['port', 'p', '119', 'Listen port'], ['...`
`NoneType` | `servers` = None
`NoneType` | `subscriptions` = None
`str` | `synopsis` = `'Usage: mktap news [options]'`
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Method Details

### opt_group(self, group)

The name of a newsgroup to carry.

### opt_moderator(self, moderator)

The email of the moderator for the most recently passed group.

### opt_server(self, server)

The address of a Usenet server to pass messages to and receive messages from.

### opt_subscription(self, group)

A newsgroup to list as a recommended subscription.

Class Variable Details

### groups

  Type:
    `NoneType`
  Value:

        None

### optParameters

  Type:
    `list`
  Value:

        [['port', 'p', '119', 'Listen port'],
         ['interface', 'i', '', 'Interface to which to bind'],
         ['datadir', 'd', 'news.db', 'Root data storage path'],
         ['mailhost', 'm', 'localhost', 'Host of SMTP server to use']]

### servers

  Type:
    `NoneType`
  Value:

        None

### subscriptions

  Type:
    `NoneType`
  Value:

        None

### synopsis

  Type:
    `str`
  Value:

        'Usage: mktap news [options]'

Generated by Epydoc 2.0 on Wed Feb 25 07:37:27 2004 | http://epydoc.sf.net